#ifndef SKAKAOCHANNELMANAGE
#define SKAKAOCHANNELMANAGE
#include "smanage.h"

class SKakaoChannelManage : public SManage
{
    Q_OBJECT
public:
    enum E_PROCESS_STATE
    {
        E_PROCESS_RUN = 0,
        E_PROCESS_FINISH_WAIT,
    };
    SKakaoChannelManage(QObject *pObject);
private:
    QString makeGetListQuery(QString _str,QDate _date,int _nPage);
private:
    QString m_strListQuery;
    QVector <QString> m_strListURL;
protected:
    bool Update();
    void Start();
    void processFinished(QProcess *pPro,QString _strOut);
    void ReLoadList();
private slots:
    void readStandardOutput();
    void readStandardError();
};
#endif // SKAKAOTAGMANAGE
